tempfile                package:base                R Documentation

Create Names for Temporary Files

Description:

     'tempfile' returns a vector of character strings which can be used
     as names for temporary files.

Usage:

     tempfile(pattern = "file", tmpdir = tempdir())
     tempdir()

Arguments:

 pattern: a non-empty character vector giving the initial part of the
          name.

  tmpdir: a non-empty character vector giving the directory name

Details:

     If 'pattern' has length greater than one then the result is of the
     same length giving a temporary file name for each component of
     'pattern'. 

     The names are very likely to be unique among calls to 'tempfile'
     in an R session and across simultaneous R sessions.  The filenames
     are guaranteed not to be currently in use.

     The file name is made of the pattern, the process number in hex
     and a random suffix in hex.  By default, the filenames will be in
     the directory given by 'tempdir()'.  This will be a subdirectory
     of the directory given by the environment variable 'TMPDIR' if
     set, otherwise '"/tmp"'.

Value:

     For 'tempfile' a character vector giving the names of possible
     (temporary) files. Note that no files are generated by 'tempfile'.

     For 'tempdir', the path of the per-session temporary directory.

References:

     Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) _The New S
     Language_. Wadsworth & Brooks/Cole.

See Also:

     'unlink' for deleting files.

Examples:

     tempfile(c("ab", "a b c"))   # give file name with spaces in!

